6.66   os32: inet_ntop(3)

NOME

    inet_ntop - conversione di un indirizzo IP dalla sua forma numerica a
    quella testuale

SINTASSI

    #include <arpa/inet.h>
    const char *inet_ntop (int <family>, const void *<src>,
                           char *<dst>, socklen_t <size>);

DESCRIZIONE

    La funzione <inet_ntop()> converte un indirizzo IPv4, contenuto in una
    variabile strutturata di tipo struct in_addr, a cui punta <src>, in una
    stringa, annotandola nella memoria tampone a cui punta <dst>, la cui
    dimensione massima e` di <size> byte.

    Il parametro <family> indica il tipo di indirizzo da convertire, ma per
    os32 e` ammesso soltanto il tipo <AF_INET>, corrispondente a IPv4.

VALORE RESTITUITO

    Se l'operazione si conclude con successo, la funzione restituisce il
    puntatore a <dst>; altrimenti, si ottiene il valore <NULL> e va verificato
    il contenuto della variabile <errno>.

ERRORI

    Valore di    Significato
    <errno>
    EAFNOSUPPORT E` stata richiesta la conversione di un tipo di indirizzo
                 diverso da <AF_INET>.
    EINVAL       In corrispondenza del parametro <src> o di <dst> si ha un
                 puntatore nullo.

FILE SORGENTI

    lib/arpa/inet.h [13.3]

    lib/arpa/inet/inet_ntop.c [13.3.3]

VEDERE ANCHE

    inet_pton(3).

